//
//  JTCalendarPopup.h
//  JTCalendarWidget
//
//  Created by Jim on 01/27/2005.
//  Copyright 2005 Jim Thomason (jim@bassetsoftware.com). All rights reserved.
//  http://www.bassetsoftware.com/osx/jtcalendarwidget/
//  Distributed under the terms of the Artistic License
//
// Donations for my hard work are always welcome. :-) They can be paypaled to jim@bassetsoftware.com
#import <Cocoa/Cocoa.h>

#import "JTCalendarDelegateProtocol.h"

@class JTCalendarTextField;

@interface JTCalendarPopup : NSControl {
	IBOutlet NSView* container;
	IBOutlet JTCalendarTextField* field;
	IBOutlet NSButton* button;
	
	BOOL enabled;
	BOOL hidden;
}

/*
	standard accessors/mutators

	The one you'd be most interested in is currentDate, which returns the pop up's current date
*/

-(NSCalendarDate*) currentDate;
-(void) setCurrentDate:(NSCalendarDate*) newDate;

-(void) setWeekdayColor:(NSColor*) newWeekdayColor;
-(NSColor*) weekdayColor;

-(void) setWeekendColor:(NSColor*) newWeekendColor;
-(NSColor*) weekendColor;

-(void) setHighlightColor:(NSColor*) newHighlightColor;
-(NSColor*) highlightColor;

-(void) setBackgroundColor:(NSColor*) newBackgroundColor;
-(NSColor*) backgroundColor;

/*
	Some people like to display sundays at the end of the week. This toggle allows it.
	Defaults to "YES" (S M T W T F S)
*/

-(void) setSundayFirst:(BOOL) first;
-(BOOL) sundayFirst;

/*
	Sometimes, it's useful to restrict users to only picking dates in the future (including
	today). Defaults to YES, allowing past selection
*/

-(void) setAllowsPast:(BOOL) past;
-(BOOL) allowsPast;

//delegate methods are defined in JTCalendarDelegateProtocol.h
-(void) setDelegate:(id <JTCalendarDelegate>) newDelegate;
-(id <JTCalendarDelegate>) delegate;

-(void) setEnabled:(BOOL) newEnabled;
-(BOOL) isEnabled;

-(void) setHidden:(BOOL) newHidden;
-(BOOL) isHidden;

//forwards on changes typed into the field so everything properly updates.
- (void)controlTextDidEndEditing:(NSNotification *)aNotification;


@end
